package edu.kit.ipd.descartes.adaptation.evaluation;

import edu.kit.ipd.descartes.mm.adaptation.WeightedTactic;

/**
 * Evaluates a tactic.
 * 
 * @author nhuber
 *
 */
public interface IEvaluator {
    
    /**
     * Evaluates the impact of a {@link WeightedTactic}.
     * 
     * @param wt The weighted tactic to evaluate
     */
    public void evaluate(WeightedTactic wt);

}
