package edu.kit.ipd.descartes.adaptation.evaluation.weightingfunction;

import java.util.Random;

import edu.kit.ipd.descartes.mm.adaptation.WeightedTactic;

public class RandomWeightCalculator implements IWeightingFunctionCalculator {

	@Override
	public double calculateWeight(WeightedTactic weightedTactic) {
		Random r = new Random(System.currentTimeMillis());
		return r.nextDouble();
	}

	@Override
	public void updateWeight(WeightedTactic weightedTactic) {
		weightedTactic.setCurrentWeight(calculateWeight(weightedTactic));
	}
}
